[Buildroot] [PATCH 2/2] package/sconeserver: pcre is optional, not mandatory

Fabrice Fontaine fontaine.fabrice at gmail.com
Wed Mar 3 17:20:19 UTC 2021


pcre is optional not mandatory since
https://github.com/sconemad/sconeserver/commit/98ec61436c9ea68ffe2d70a818c1175dcafa2a79

Signed-off-by: Fabrice Fontaine <fontaine.fabrice at gmail.com>
---
 package/sconeserver/sconeserver.mk | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/package/sconeserver/sconeserver.mk b/package/sconeserver/sconeserver.mk
index b81134002e..62cc128d77 100644
--- a/package/sconeserver/sconeserver.mk
+++ b/package/sconeserver/sconeserver.mk
@@ -10,7 +10,10 @@ SCONESERVER_LICENSE = GPL-2.0+
 SCONESERVER_LICENSE_FILES = COPYING
 # fetching from Git, we need to generate the configure script
 SCONESERVER_AUTORECONF = YES
-SCONESERVER_DEPENDENCIES = host-pkgconf pcre zlib
+SCONESERVER_DEPENDENCIES = \
+	host-pkgconf \
+	$(if $(BR2_PACKAGE_PCRE),pcre) \
+	zlib
 # disable markdown module because its git submodule cmark
 # https://github.com/sconemad/sconeserver/tree/master/markdown
 # has no cross-compile support provided by the sconeserver build system
-- 
2.30.0



More information about the buildroot mailing list